Name:       ibus-chewing
Version:    1.3.5.20100714
Release:    4%{?dist}
Summary:    The Chewing engine for IBus input platform
Summary(zh_TW): IBus新酷音輸入法
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}-Source.tar.gz
Source1:    USER-GUIDE
Patch0:     %{name}-rhbz-627794.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext-devel
BuildRequires:  gtk2-devel
BuildRequires:  ibus-devel >= 1.1
BuildRequires:  cmake >= 2.4

# Make sure gob2 is patched against https://bugzilla.redhat.com/show_bug.cgi?id=519108
%if 0%{?fedora} == 11
BuildRequires:  gob2 >= 2.0.15-5
%else
BuildRequires:  gob2 >= 2.0.16-4
%endif
BuildRequires:  libchewing-devel >= 0.3.2-16
BuildRequires:  pkgconfig
BuildRequires:  GConf2-devel
BuildRequires:  libXtst-devel
Requires:   ibus >= 1.1
Requires:  libchewing >= 0.3.2-16
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
IBus-chewing is an IBus front-end of Chewing, an intelligent Chinese input
method for Zhuyin (BoPoMoFo) users.
It supports various Zhuyin keyboard layout, such as standard (DaChen),
IBM, Gin-Yeah, Eten, Eten 26, Hsu, Dvorak, Dvorak-Hsu, and DaChen26.

Chewing also support toned Hanyu pinyin input.

%description -l zh_TW
IBus-chewing 是新酷音輸入法的IBus前端。
新酷音輸入法是個智慧型注音輸入法，支援多種鍵盤布局，諸如：
標準注音鍵盤、IBM、精業、倚天、倚天26鍵、許氏、Dvorak、Dvorak許氏
及大千26鍵。

本輸入法也同時支援帶調漢語拼音輸入。

%prep
%setup -q -n %{name}-%{version}-Source
%__cp %{SOURCE1} .
%patch0 -p0 -b .rhbz-627794


%build
# $RPM_OPT_FLAGS should be  loaded from cmake macro.
%cmake -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo .
%__make VERBOSE=1  %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
[ -r %{_sysconfdir}/gconf/schemas/%{name}.schemas ] &&
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
# Upgrading 1.0.2.20090302-1.fc11 or older?
[ -r %{_sysconfdir}/gconf/schemas/%{name}.schema ] &&
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schema >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%clean
%__rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog NEWS COPYING USER-GUIDE
%{_libexecdir}/ibus-engine-chewing
%{_datadir}/%{name}
%{_datadir}/ibus/component/chewing.xml
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog

